package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.Server.ComponentsServerPass;
import _VisualDVM.Repository.Server.ServerCode;
public class ComponentsServerBackUp extends ComponentsServerPass {
    @Override
    public String getIconPath() {
        return "/icons/BackUp.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return Global.mainModule.getAccount().isAdmin() && SendRequest(ServerCode.CreateBackUp, "", true);
    }
}
